Hot News aus dem CAD.de-Newsletter:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  Lisp
  3D-Weltkoordinaten aus LW-Polylinie

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
Autor Thema:   3D-Weltkoordinaten aus LW-Polylinie (404 mal gelesen)
joern bosse
Ehrenmitglied
Dipl.-Ing. Vermessung


Sehen Sie sich das Profil von joern bosse an!   Senden Sie eine Private Message an joern bosse  Schreiben Sie einen Gästebucheintrag für joern bosse

Beiträge: 1649
Registriert: 11.10.2004

Window 8.1
ACAD 2012-2019
CIVIL 2012 - 2019
BricsCAD V14-V18
Intel(R) Core(TM)i5-8250U CPU @ 1.60GHz 1.80 GHz
16.0GB RAM
NVIDIA GeForce GTX 1050

erstellt am: 08. Jan. 2014 15:40    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities


3D-Koord_LwPolyline_dwg.txt

 
Hallo,
ich brauche 3D-Koordinaten im WKS aus einer LW-Polylinie, deren Hochzugsrichtung von(0 0 1)abweicht.

Da habe ich mir gedacht, folgender Code würde funktionieren, allerdings sind Ergebniskoordinaten alle um den Vektor entsprechend der Erhebung verschoben:

Code:

(defun c:test ( / KOORD OBJ P1 P2 P3 P4 X )

  (setq obj (car (entsel)))

  (setq koord

      (mapcar
      '(lambda(x)(trans (cdr X) obj 0))
      (vl-remove-if-not'(lambda(X)(=(car X)10))(entget obj)))
      )
  (setq p1 (car koord)
        p2 (cadr koord)
        p3 (caddr koord)
        p4 (cadddr koord))


  (entmake (list (cons 0 "POINT")(cons 10 p1)))
  (entmake (list (cons 0 "POINT")(cons 10 p2)))
  (entmake (list (cons 0 "POINT")(cons 10 p3)))
  (entmake (list (cons 0 "POINT")(cons 10 p4)))

 
  (princ)
 
  )


Wie würde man das richtig machen? Ich habe eine Beispiel-DWG-Datei beigepackt. Bin wie immer für jeden Tipp dankbar.

------------------
viele Grüße

Jörn
http://www.bosse-engineering.com

Koordinaten einlesen Youtube

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

CADmium
Moderator
Maschinenbaukonstrukteur




Sehen Sie sich das Profil von CADmium an!   Senden Sie eine Private Message an CADmium  Schreiben Sie einen Gästebucheintrag für CADmium

Beiträge: 13413
Registriert: 30.11.2003

.

erstellt am: 08. Jan. 2014 15:59    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für joern bosse 10 Unities + Antwort hilfreich

(if(and(setq PL (car(entsel "PL wählen:")))
      (setq PL(vlax-ename->vla-object PL))
      (setq E (vlax-curve-getendparam PL))
      (setq P (vlax-curve-getstartparam PL))
  )
  (repeat (fix E)
    (princ "\n")
    (princ(vlax-curve-getpointatparam PL P))
    (setq P (1+ P))
  )
)

------------------
Also ich finde Unities gut ... und andere sicher auch
---------------------------------------
  - Thomas -          
"Bei 99% aller Probleme ist die umfassende Beschreibung des Problems bereits mehr als die Hälfte der Lösung desselben."

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

joern bosse
Ehrenmitglied
Dipl.-Ing. Vermessung


Sehen Sie sich das Profil von joern bosse an!   Senden Sie eine Private Message an joern bosse  Schreiben Sie einen Gästebucheintrag für joern bosse

Beiträge: 1649
Registriert: 11.10.2004

Window 8.1
ACAD 2012-2019
CIVIL 2012 - 2019
BricsCAD V14-V18
Intel(R) Core(TM)i5-8250U CPU @ 1.60GHz 1.80 GHz
16.0GB RAM
NVIDIA GeForce GTX 1050

erstellt am: 08. Jan. 2014 16:09    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo Thomas,
man, ich staune immer wieder, genau das habe ich gebraucht. Vielen Dank, die U's sind unterwegs!

------------------
viele Grüße

Jörn
http://www.bosse-engineering.com

Koordinaten einlesen Youtube

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2019 CAD.de | Impressum | Datenschutz